#!/bin/bash 
trap '' SIGHUP SIGABRT SIGTERM;
trap '' SIGINT SIGQUIT;
status=1
## Option check ##
if [ $# -eq 0  ] ; then
	./BIOSUpdate.bin
	status=$?
elif [ $# -eq 1  ] ; then
	case $1 in
         '-E' )
                ./BIOSUpdate.bin $1 1>> EUUpdate.log 
		status=$?
                ;;
         '-V' )
                ./BIOSUpdate.bin $1 1> /dev/null
		status=$?
                ;;
         *)
		echo 'Parameter Error'
                ;;
	esac
else 
	echo 'Parameter Error'
fi
exit $status
